/** 
 * (C) Copyright IBM Corp. 2011
 */
package $packageName$;

import java.util.List;

import org.eclipse.jface.action.Action;
import org.eclipse.jface.action.IAction;
import org.eclipse.jface.dialogs.MessageDialog;

import com.ibm.pdp.maf.rpp.kernel.RadicalElement;
import com.ibm.pdp.maf.rpp.menu.IMAFDesignExplorerMenuActionContributor;

/**
 * 
 * This is a sample class that add a menu to the design explorer when a MAF supported entity is selected.
 * 
 * It display dialog box.
 *
 */
public class $className$ implements IMAFDesignExplorerMenuActionContributor {
	@Override
	public IAction getAction( final List<RadicalElement> radicalElements ) {
		return new Action("$menuName$") {
			@Override
			public void run() {
				super.run();
				MessageDialog.openInformation(null, radicalElements.get(0).getName(), radicalElements.get(0).getLabel());
			}
		};
	}
}